<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
		
	<h2>Llamadas para el cliente ${param.id}</h2>	
	
	<sql:query var="rs" dataSource="jdbc/callcenter">
		SELECT c.id AS id, nombre, apellido, direccion, telefono, email, info, filename, m.id AS uid, a.id AS cid, 
				DATE_FORMAT(fecha, '%d/%m/%Y %T') AS fechaf, valor, nuevo_tel, notas, first_name, last_name
		FROM llamadas m
		INNER JOIN clientes c on id_cliente  = c.id 
		INNER JOIN campanias a on id_campania = a.id
		INNER JOIN llamadas_resultados l on resultado = l.id
		INNER JOIN ipcontact.users on username = agente
		LEFT JOIN ipcontact.callmonitor on uniqueid = m.id
		WHERE c.id = ${param.id}  
	</sql:query>

	<c:if test="${empty rs.rows}">
		<p>No hay llamadas para este cliente</p>
	</c:if>
		
	<table>
		<c:forEach var="row" varStatus="stat" items="${rs.rows}">
			<c:choose>
				<c:when test="${stat.count % 2 == 0}">
					<tr class="even2">
				</c:when>
				<c:otherwise>
					<tr class="odd2">
				</c:otherwise>
			</c:choose>	
			
			<td class="query">					
				<h3>Llamada</h3>
				<table class="data">	
					<tr class="tit">
						<th>Fecha</th>
						<th>Campa�a</th>
						<th>Resultado</th>
						<th>Nuevo tel�fono</th>
						<th>Notas</th>
						<th>Agente</th>
						<th>Grabaci�n</th>
					</tr>
					<tr class="even">
						<td class="data">${row.fechaf}</td>	
						<td class="data">${row.info}</td>	
						<td class="data">${row.valor}</td>	
						<td class="data">${row.nuevo_tel}</td>	
						<td class="data">${row.notas}</td>	
						<td class="data">${row.first_name} ${row.last_name}</td>	
						<td class="data">
							<c:choose>
								<c:when test="${empty filename}">
									N/D
								</c:when>
								<c:otherwise>
									<a class="link" href='recordQuery.jsp?uniqueid=${row.uid}'>Escuchar</a>
								</c:otherwise>
							</c:choose>
						</td>	
					</tr>
				</table>
				
				<h3>Datos</h3>
					
				<sql:query var="rsMetadata" dataSource="jdbc/callcenter">
					SELECT campo
					FROM campaign_forms_metadata
					WHERE campaign = '${row.cid}'
					ORDER BY orden
				</sql:query>
					
				<c:set var="select" value="${rsMetadata.rows[0].campo}"/>
				<c:forEach var="row2" begin="1" items="${rsMetadata.rows}">
					<c:set var="select" value="${select}, ${row2.campo}"/>
				</c:forEach>
				
				<sql:query var="rs2" dataSource="jdbc/callcenter">
					SELECT ${select}
					FROM datos${row.cid}
					WHERE id = '${row.uid}'
				</sql:query>
				
				<table class="data">	
					<tr class="tit">
						<c:forEach var="row2" items="${rsMetadata.rows}">
							<th>${row2.campo}</th>
						</c:forEach>
					</tr>
					<tr class="even">
						<c:forEach var="row2" varStatus="stat" items="${rsMetadata.rows}">
							<td class="data">${rs2.rowsByIndex[0][stat.index]}</td>	
						</c:forEach>
					</tr>
				</table>
			</td>
			</tr>
		</c:forEach>
	</table>
</div>
</body>
</html>