<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
	<title>Agente Callcenter</title>
	<link type="text/css" rel="stylesheet" href="include/style.css"/>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
</head>

<body onBeforeUnLoad="unload()">

	<script type="text/javascript" src="include/scripts.js"></script>

	<div style="background: #F2F6E5" id="blinker" class="borde2">
		<div class="spacer"/>
		<div class="float">
			<applet name="pane" code="uy.com.teledata.jastapplet.SlavePane.class" archive="cliapplet.jar" width="600" height="60" mayscript="mayscript" scriptable="true">
				<param name="extension" value="${param.extension}"/> 
				<param name="password" value="${param.password}"/>
				<param name="username" value="${param.username}"/>
				<param name="server" value="192.168.2.210"/>
				<param name="callContext" value="local"/>
			</applet>
		</div>
		<div class="float">
			<form method="get" name="pauseForm" action="index.jsp">
				<input type="button" class="boton" value="Pausar" name="cmdPausa" onclick="pauseQueue()"/>&nbsp;
				<input type="button" class="boton" value="Desconectar" onclick="browserClose = 0; window.close()"/>&nbsp;
				<input type="button" class="boton" value="Recargar" onclick="reload()" />
				<input id="invitador" type="button" style="display: none" class="botonAlert" value="Aceptar" onclick="acceptInvitation(null)" />
			</form>
		</div>
		<div class="spacer"/>
	</div>
	
	<c:catch var="ex">
		<c:if test="${not empty param.delete}">
			<sql:update dataSource="jdbc/ipcontact">
				DELETE FROM queue_users
				WHERE username = '${param.username}' AND queue = '${param.queue}'
			</sql:update>
		</c:if>

		<c:if test="${not empty param.add}">
			<sql:update dataSource="jdbc/ipcontact">
				INSERT INTO queue_users (username, queue)
				VALUES ('${param.username}', '${param.queue}')
			</sql:update>
		</c:if>

	</c:catch>

	<c:if test="${not empty ex}">
		<p>Ocurri un error en la operacin</p>
		<br/>
	</c:if>
	
	<sql:query var="rs" dataSource="jdbc/ipcontact">
		SELECT queue
		FROM queue_users
		INNER JOIN queues on queue = name
		WHERE username = '${param.username}' AND outgoing = 1
	</sql:query>
	
	<sql:query var="rsQueue" dataSource="jdbc/ipcontact">
		SELECT name
		FROM queues
		WHERE outgoing = 1
	</sql:query>
	
	<form method="post" action="callcenter-queue.jsp" name="reloadForm">
		<input type="hidden" name="extension" value="${param.extension}"/>
		<input type="hidden" name="password" value="${param.password}"/>
		<input type="hidden" name="username" value="${param.username}"/>
	</form>
	
	<form method="post" action="callcenter-queue.jsp" name="delQueueForm">
		<input type="hidden" name="extension" value="${param.extension}"/>
		<input type="hidden" name="password" value="${param.password}"/>
		<input type="hidden" name="username" value="${param.username}"/>
		<input type="hidden" name="delete" value="1"/>
		<input type="hidden" name="queue"/>
	</form>
	
	<h3>Campaas activas:</h3>
	
	<c:choose>
		<c:when test="${empty rs.rows}">
			<ul>
				<li>No Hay campaas asociadas</li>
			</ul>
		</c:when>
		<c:otherwise>
			<ul>	
				<c:forEach var="row" varStatus="stat" items="${rs.rows}">
					<li>
						${row.queue} (<a href="#" onClick="delQueueSubmit('${row.queue}')">Eliminar</a>)
					</li>
				</c:forEach>
			</ul>
		</c:otherwise>
	</c:choose>
	
	<h3>Agregar</h3>

	<div class="float">
	<form method="post" action="callcenter-queue.jsp" name="addQueueForm">
		<label>Campaa: </label>
		<input type="hidden" name="extension" value="${param.extension}"/>
		<input type="hidden" name="password" value="${param.password}"/>
		<input type="hidden" name="username" value="${param.username}"/>
		<input type="hidden" name="add" value="1"/>
		<select name="queue">
			<c:forEach var="row" items="${rsQueue.rows}">
				<option value="${row.name}">${row.name}</option>
			</c:forEach>
		</select>
		<input class="boton" type="button" value="Agregar" onClick="addQueueSubmit()"/>
	</form>
	</div>
	
	<div class="spacer"/>	
	<h3><br/></h3>
	
	<p>Atencin: al cerrar la ventana dejar de recibir llamadas.</p>
</body>
</html>
