<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="statistics">
		<c:choose>
			<c:when test="${empty param.afterDate}">
				
				<c:choose>
					<c:when test="${sessionScope.role eq 'admin'}">
						<sql:query var="rs" dataSource="jdbc/ipcontactRO">
							SELECT first_name, last_name, username
							FROM agents
							INNER JOIN users ON username = user
							ORDER BY first_name
						</sql:query>
					</c:when>
					<c:when test="${sessionScope.role eq 'supervisor' or sessionScope.role eq 'manager'}">
						<sql:query var="rs" dataSource="jdbc/ipcontactRO">
							SELECT first_name, last_name, username
							FROM agents
							INNER JOIN users on username = user
							INNER JOIN supervisors_groups USING (group_id)
							WHERE user_id = '${sessionScope.username}'
							ORDER BY first_name
						</sql:query>
					</c:when>
				</c:choose>
			
				<h1><fmt:message key="reportagentactivity.title"/></h1>
				<form method="get" name="formulario" action="reportAgentActivity.jsp" target="_self">
		 			<table class="query">
			                  	<tr class="plain">
							<td class="query"><fmt:message key="reportagentactivity.from"/>: </td>
							<td class="query">
								<input name='afterDate' id='date' type='text' size='10'/>
								<input name='afterTime' id='afterTime' type='text' size='5'/>
								<script type="text/javascript">
								<!--
									if (document.formulario.date.value.length == 0)
										document.formulario.date.value=getCurrentDate();
									if (document.formulario.afterTime.value.length == 0)
										document.formulario.afterTime.value="00:00";
								-->
								</script>
								<img src='../calendar/calendar.jpg' title='<fmt:message key="reportagentactivity.calendar"/>' alt='<fmt:message key="reportagentactivity.calendar"/>' onclick="scwShow(document.getElementById('date'),this);" />
							</td>
						</tr>
						<tr class="plain">
							<td class="query"> <fmt:message key="reportagentactivity.to"/>: </td>
							<td class="query">
								<input name='beforeDate' id='beforeDate' type='text' size='10'/>
								<input name='beforeTime' id='beforeTime' type='text' size='5'/>
								<script type="text/javascript">
								<!--
									if (document.formulario.beforeDate.value.length == 0)
										document.formulario.beforeDate.value=getCurrentDate();
									if (document.formulario.beforeTime.value.length == 0)
										document.formulario.beforeTime.value=getCurrentTime();
								-->
								</script>
								<img src='../calendar/calendar.jpg' title='<fmt:message key="reportagentactivity.calendar"/>' alt='<fmt:message key="reportagentactivity.calendar"/>' onclick="scwShow(document.getElementById('beforeDate'),this);" />
							</td> 
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="reportagentactivity.agents"/>:</td>
							<td class="query">
								<select name="agent">
									<option value="all" selected="selected"><fmt:message key="all"/></option>
									<c:forEach var="row" items="${rs.rows}">
										<option value="${row.username}">${row.first_name} ${row.last_name}</option>
									</c:forEach>
								</select>
							</td>
						</tr>
						<tr class="plain">
							<td class="query"> <fmt:message key="reportagentactivity.groupby"/>: </td>
							<td class="query">
								<select name="group">
									<option value="no"><fmt:message key="reportagentactivity.nogroup"/></option>
									<option value="hora"><fmt:message key="reportagentactivity.hour"/></option>
									<option value="dia"><fmt:message key="reportagentactivity.day"/></option>
								</select>
							</td>
						</tr>
						<tr class="plain">
				        	<td class="query" colspan="2">
								<input class="boton" type="submit" value="<fmt:message key="reportagentactivity.submit"/>"/>
				            </td>
				      	</tr>
					</table>
				</form>			
			</c:when>
			
			<c:otherwise>
				
				<jsp:useBean id="agentActivity" class="ipcontact.reports.ReportAgentActivityBean" scope="page">
					<jsp:setProperty name="agentActivity" property="*"/> 
					<c:set target='${agentActivity}' property='user' value='${sessionScope.username}'/>
					<c:set target='${agentActivity}' property='role' value='${sessionScope.role}'/>
				</jsp:useBean>
		
				<c:set var="table" scope="session" value="${agentActivity.data}"/>
					
				<h3><fmt:message key="reportagentactivity.title"/></h3>
				<h3>
					<table>
						<tr>
							<td><fmt:message key="reportagentactivity.from"/>: </td>
							<td>${param.afterDate}</td>
							<td>${param.afterTime}</td>
						</tr>
						<tr>
							<td><fmt:message key="reportagentactivity.to"/>: </td>
							<td>${param.beforeDate}</td>
							<td>${param.beforeTime}</td>
						</tr>
					</table>
				</h3>
				<table class="data">
					<tr class="tit">
						<th><fmt:message key="reportagentactivity.data.agent"/> </th>
						<c:choose>
							<c:when test="${param.group eq 'dia'}">
								<th> <fmt:message key="reportagentactivity.day"/> </th>
							</c:when>
							<c:when test="${param.group eq 'hora'}">
								<th> <fmt:message key="reportagentactivity.hour"/> </th>
							</c:when>
						</c:choose>
						<th><fmt:message key="reportagentactivity.data.totaltime"/></th>
						<th><fmt:message key="reportagentactivity.data.workedtime"/></th>
						<th><fmt:message key="reportagentactivity.data.pausedtime"/></th>
						<th><fmt:message key="reportagentactivity.data.active"/></th>
						<th><fmt:message key="reportagentactivity.data.paused"/></th>
						<th><fmt:message key="reportagentactivity.data.free"/></th>
						<th><fmt:message key="reportagentactivity.data.calls"/></th>
						<th><fmt:message key="reportagentactivity.data.callsaverage"/></th>
						<th><fmt:message key="reportagentactivity.data.callsbyhour"/></th>
						<th><fmt:message key="reportagentactivity.data.localcalls"/></th>
						<th><fmt:message key="reportagentactivity.data.incomingcalls"/></th>
						<th><fmt:message key="reportagentactivity.data.incomingduration"/></th>
						<th><fmt:message key="reportagentactivity.data.outgoingcalls"/></th>
						<th><fmt:message key="reportagentactivity.data.outgoingduration"/></th>
					</tr>
					<c:forEach var="row" varStatus="stat" items="${table}">
						<c:choose>	
							<c:when test="${stat.count % 2 == 0}">
								<tr class="even">
							</c:when>
							<c:otherwise>
								<tr class="odd">
							</c:otherwise>
						</c:choose>
						
						<c:choose>
							<c:when test="${empty row.username}">
								<td class="data">Total</td>	
							</c:when>
							<c:otherwise>
								<td class="data">${row.first_name} ${row.last_name} (${row.username})</td>					
							</c:otherwise>
						</c:choose>
						<c:if test="${param.group eq 'dia' || param.group eq 'hora'}">
							<c:choose>
								<c:when test="${not empty row.grupo}">
									<td class="data">${row.grupo}</td>
								</c:when>
								<c:otherwise>
									<td class="data"><fmt:message key="total"/></td>
								</c:otherwise>
							</c:choose>
						</c:if>
						<td class="data">${row.total}</td>
						<td class="data">${row.total_activity}</td>
						<td class="data">${row.total_pause}</td>
						<td class="data">${row.busy_time_percent}</td>
						<td class="data">${row.pause_time_percent}</td>
						<td class="data">${row.idle_time_percent}</td>
						<td class="data">${row.processed_calls} - ${row.answered_calls}  - ${row.lost_calls} - ${row.dnd_calls}</td>
						<td class="data">${row.avg_processed_calls}</td>
						<td class="data">${row.processed_calls_hour}</td>
						<td class="data">${row.calls_lo} - ${row.time_calls_lo}</td>
						<td class="data">${row.calls_cc_in} - ${row.calls_no_cc_in}</td>
						<td class="data">${row.time_calls_cc_in} - ${row.time_calls_no_cc_in}</td>
						<td class="data">${row.calls_cc_out} - ${row.calls_no_cc_out}</td>
						<td class="data">${row.time_calls_cc_out} - ${row.time_calls_no_cc_out}</td>
						
						</tr>
					</c:forEach>
				</table>
				
				<c:choose>
					<c:when test="${param.group eq 'hora'}">
						<c:set var="template" value="agents_hour.xml"/>
					</c:when>
					<c:when test="${param.group eq 'dia'}">
						<c:set var="template" value="agents_day.xml"/>
					</c:when>
					<c:otherwise>
						<c:set var="template" value="agents.xml"/>
					</c:otherwise>
				</c:choose>
				
				<c:url var="linkPDF" value="../servlet/ipcontact.Reports">
					<c:param name="reportFile" value="landscape-report.xml"/>
					<c:param name="template" value="${template}"/>
					<c:param name="reportType" value="pdf"/>					
					<c:param name="filename" value="agentes"/>
					<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
					<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
					<c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
					</c:if>
				</c:url>
				
				<c:url var="linkXLS" value="../servlet/ipcontact.Reports">
					<c:param name="reportFile" value="landscape-report.xml"/>
					<c:param name="template" value="${template}"/>
					<c:param name="reportType" value="xls"/>					
					<c:param name="filename" value="agentes"/>
					<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
					<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
					<c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
					</c:if>
				</c:url>
				
				<c:url var="linkCSV" value="../servlet/ipcontact.Reports">
					<c:param name="reportFile" value="landscape-report.xml"/>
					<c:param name="template" value="${template}"/>
					<c:param name="reportType" value="csv"/>					
					<c:param name="filename" value="agentes"/>
					<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
					<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
					<c:if test="${not empty sessionScope.locale}">
						<c:param name="locale" value="${sessionScope.locale}"/>
					</c:if>
				</c:url>
				
				<%@ include file="../include/export.jsp" %>		
					
			</c:otherwise>	
		</c:choose>				
	</fmt:bundle>																		
</div>
</body>
</html>
